Daemon Power

The NetBSD Packages Collection: chat/telepathy-idle

Brief description of the package:
Full-featured IRC connection manager for Telepathy

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://telepathy.freedesktop.org/wiki/Components.

Please note that this package has a gnu-lgpl-v2.1 license.

The package is located in the "chat/telepathy-idle" directory. The current source version of the package is "telepathy-idle-0.1.8nb10". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for chat/telepathy-idle :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: telepathy-glib>=0.7.18 glib2>=2.36 perl>=5.0 cwrappers>=20150314 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 glib2>=2.4.0 gobject-introspection>=1.30.0 py27-cElementTree-[0-9]* py27-expat-[0-9]* glib2>=2.54.0 libffi>=3.0.0 glib2>=2.34.0 gobject-introspection>=0.6.14nb1 vala>=0.42 glib2>=2.40.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gtk2+>=2.4.0 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.31.2 gobject-introspection>=1.34.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 x11-links>=1.12 osabi-NetBSD-8.0_RC2 fixesproto>=3.0.0<5 xorgproto>=2016.1 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 harfbuzz>=0.9.9 icu>=3.4 icu>=62.1 harfbuzz>=2.1.1 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 xcb-proto>=1.4 py27-mako-[0-9]* py27-setuptools>=0.8 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 help2man-[0-9]* p5-gettext>=1.01 perl>=5.28.0 perl<5.30.0 pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb2 gobject-introspection>=0.9.3 lua52>=5.2.0<5.3 tk>=8.5.7 tcl>=8.5.7 sqlite3>=3.21.0 sqlite3>=3.0.8 sqlite3>=3.24.0nb1 tcl>=8.6.1nb1 gts>=0.7.6 netpbm>=10.11.6 jasper>=1.600.0 jasper>=1.900.1nb7 netpbm>=10.35.80nb6 gd>=2.2.5nb2 gtk2+>=2.24.32nb7 tk>=8.6.8nb1 libltdl>=2.2.6 swig>=1.3.24<2.0 swig>=1.3.31<2.0 graphviz>=2.40.1nb22 dbus-glib>=0.90 glib2>=2.40 dbus>=1.8 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 docbook-xml>=4.2 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.28nb2 dbus>=0.91 dbus-glib>=0.61 dbus>=0.95 dbus-glib>=0.100nb1 gtk-doc>=1.18 docbook-xml>=4.4nb1 docbook-xsl>=1.68.1 py37-anytree-[0-9]* py27-six-[0-9]* py37-lxml-[0-9]* py27-cython>=0.12.1 libxml2>=2.7.8 libxslt>=1.1.26 py37-pygments-[0-9]* py27-nose-[0-9]* pkgconf-[0-9]* python37>=3.7 python37>=3.7.0 source-highlight>=3.1.7nb2 exctags-[0-9]* boost-libs-1.68.* boost-headers-1.68.* boost-jam-1.68.* boost-libs>=1.68.0 rarian>=0.6.0 bash-[0-9]* source-highlight>=3.1.8nb7 itstool-[0-9]* py27-libxml2-[0-9]* libxml2>=2.9.8 py27-expat>=0 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-libxml2>=2.6.8 py27-libxml2>=2.6.27 libxslt>=1.1.32 docbook-xml>=4.5 libxml2>=2.6.12 telepathy-glib>=0.14.3nb7 .

This package requires the following package(s) to run: telepathy-glib>=0.7.18 glib2>=2.36 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.4.0 gobject-introspection>=1.30.0 py27-cElementTree-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 py27-expat-[0-9]* glib2>=2.54.0 libffi>=3.0.0 glib2>=2.34.0 gobject-introspection>=0.6.14nb1 vala>=0.42 glib2>=2.40.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gtk2+>=2.4.0 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 harfbuzz>=0.9.9 icu>=3.4 icu>=62.1 harfbuzz>=2.1.1 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb2 lua52>=5.2.0<5.3 tk>=8.5.7 tcl>=8.5.7 sqlite3>=3.21.0 sqlite3>=3.0.8 sqlite3>=3.24.0nb1 tcl>=8.6.1nb1 perl>=5.28.0 perl<5.30.0 gts>=0.7.6 netpbm>=10.11.6 jasper>=1.600.0 jasper>=1.900.1nb7 netpbm>=10.35.80nb6 gd>=2.2.5nb2 gtk2+>=2.24.32nb7 tk>=8.6.8nb1 libltdl>=2.2.6 graphviz>=2.40.1nb22 dbus-glib>=0.90 glib2>=2.40 dbus>=1.8 dbus>=0.91 dbus-glib>=0.61 dbus>=0.95 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 gobject-introspection>=1.34.0 dbus-glib>=0.100nb1 libxslt>=1.1.28nb2 telepathy-glib>=0.14.3nb7 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earm:telepathy-idle-0.1.8nb9.tgz(NetBSD 7.0)
earm:telepathy-idle-0.1.8nb9.tgz(NetBSD 7.0)
earmv6hf:telepathy-idle-0.1.8nb9.tgz(NetBSD 7.0)
earmv6hf:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
earmv7hf:telepathy-idle-0.1.8nb9.tgz(NetBSD 7.0)
earmv7hf:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
earmv7hfeb:telepathy-idle-0.1.8nb9.tgz(NetBSD 7.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 6.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 6.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 6.1)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
i386:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
powerpc:telepathy-idle-0.1.8nb10.tgz(NetBSD 6.1)
powerpc:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
powerpc:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
powerpc:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
powerpc:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
powerpc:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
sparc64:telepathy-idle-0.1.8nb9.tgz(NetBSD 7.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 6.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 6.1)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0.1_PATCH)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 7.1)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.0)
x86_64:telepathy-idle-0.1.8nb10.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]